MC-Market is now BuiltByBit. Read more

  • MC-Market has rebranded to BuiltByBit! Read more in our recent announcement explaining the change here.

COREBOT | #1 Discord Bot with 600+ Features | Slash Commands | Music | Tickets | Giveaways | & More 4.5.3

Corebot - The BEST multipurpose Discord bot on the market.
Dependencies
Corebot requires different dependencies for different operating systems. Please make sure you have all dependencies installed for your OS or Corebot may not start or function properly.

Global Dependencies
These are dependencies Corebot requires regardless of the operating system.

  • Node.js 16.x.x or later - We recommend LTS
  • A machine (VPS, Linux machine, bot hosting) that has at least 150mb of RAM
  • A text editor - We recommend Atom or Visual Studio Code
  • A connection to the internet
  • All NPM packages listed in the package.json. All of these will be automatically downloaded upon start-up.
  • A license key, which is obtained by joining our Discord server after purchasing the resource.
  • A Discord account and the ability to join the Corebot Discord server (To setup your Discord bot application and receive your license key.)

Windows Dependencies
  • Python 2.7 and Visual Studio Desktop Development C++
You can install these dependencies by running the following command in an administrative PowerShell:
npm install --global --production --vs2015 --add-python-to-path windows-build-tools

Linux Dependencies
  • The following linux packages are required: autoconf, automake, g++, libtool, and build-essential
You can install them by running the following command:

Debian/Ubuntu
apt-get install autoconf automake g++ libtool build-essential

CentOS
yum install autoconf automake g++ libtool build-essential

If you have any questions or issues, please create a ticket in our Discord server!
Top
You need to upgrade!
Our dark style is reserved for our Premium members. Upgrade here.